# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Obsidian"
HOMEPAGE="https://obsidian.md/"
SRC_URI="https://github.com/obsidianmd/obsidian-releases/releases/download/v${PV}/Obsidian-${PV}.tar.gz"

LICENSE=""
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

S="${WORKDIR}"

QA_PREBUILT="/opt/obsidian/chrome-sandbox
   			 /opt/obsidian/libEGL.so
   			 /opt/obsidian/libGLESv2.so
   			 /opt/obsidian/libffmpeg.so
   			 /opt/obsidian/libvk_swiftshader.so
   			 /opt/obsidian/libvulkan.so
   			 /opt/obsidian/resources/app.asar.unpacked/node_modules/btime/binding.node
   			 /opt/obsidian/obsidian
   			 /opt/obsidian/swiftshader/libGLESv2.so
   			 /opt/obsidian/swiftshader/libEGL.so"


src_prepare() {
	default
}

src_install() {
	insinto /opt/obsidian
	doins -r obsidian-${PV}/*
	insinto /usr/share
	#doins -r usr/share/applications
	#doins -r usr/share/icons
	fperms +x /opt/obsidian/chrome-sandbox /opt/obsidian/obsidian
	fperms u+s /opt/obsidian/chrome-sandbox
	pax-mark m opt/obsidian/obsidian opt/obsidian/chrome-sandbox

	dosym ../../opt/obsidian/obsidian /usr/bin/obsidian
}

pkg_postinst() {
	xdg_desktop_database_update
	xdg_icon_cache_update
}

pkg_postrm() {
	xdg_desktop_database_update
	xdg_icon_cache_update
}
